import axios from '@/utils/axios'
import fetchEventSource from '@/utils/fetchEventSource'

// 流式编辑接口
export function aiEdit(options) {
  return fetchEventSource('/api/ai/sky3/edit', options)
}

// 流式对话接口
export function aiChat(data) {
  return axios.post('/api/ai/sky3/chat', data)
}

// 文本生成图片接口
export function aiGenerateImage(data) {
  return axios.post('/api/ai/sky3/generateImage', data)
}

// 百度聊天接口
export function baiduAIChat(data) {
  return axios.post('/api/ai/baidubce/chat', data)
}
